Option --mve-confidence NOT in 2.1.0

Hello!

I used version ODM 2.1.0 few days (via Docker). Before i used previous version.

In 2.1.0 option ‘–mve-confidence’ been cutting.

What alternative option?

1 Like

I don’t know, but I am wondering if you need it. OpenMVS has fantastic point cloud merging and is a lot less messy than MVE.

1 Like

Thanks!

Also, v 2.1.0 give problem with mask.
I create them in GIMP. In first case i save in jpg, second- in bmp.
In any cases program stops:

joblib.externals.loky.process_executor._RemoteTraceback:
“”"
Traceback (most recent call last):
File “/usr/local/lib/python3.6/dist-packages/joblib/externals/loky/process_executor.py”, line 431, in _process_worker
r = call_item()
File “/usr/local/lib/python3.6/dist-packages/joblib/externals/loky/process_executor.py”, line 285, in call
return self.fn(*self.args, **self.kwargs)
File “/usr/local/lib/python3.6/dist-packages/joblib/_parallel_backends.py”, line 595, in call
return self.func(*args, **kwargs)
File “/usr/local/lib/python3.6/dist-packages/joblib/parallel.py”, line 263, in call
for func, args, kwargs in self.items]
File “/usr/local/lib/python3.6/dist-packages/joblib/parallel.py”, line 263, in
for func, args, kwargs in self.items]
File “/code/SuperBuild/src/opensfm/opensfm/actions/detect_features.py”, line 67, in detect
fmask = data.load_features_mask(image, p_unmasked)
File “/code/SuperBuild/src/opensfm/opensfm/dataset.py”, line 124, in load_features_mask
new_width=new_width, new_height=new_height).astype(int)
File “/code/SuperBuild/src/opensfm/opensfm/upright.py”, line 42, in opensfm_to_upright
T = np.dot(R[orientation], H)
KeyError: 0
“”"

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/code/SuperBuild/src/opensfm/bin/opensfm_main.py”, line 8, in
commands.command_runner(commands.opensfm_commands)
File “/code/SuperBuild/src/opensfm/opensfm/commands/command_runner.py”, line 27, in command_runner
command.run(args)
File “/code/SuperBuild/src/opensfm/opensfm/commands/command.py”, line 12, in run
self.run_impl(data, args)
File “/code/SuperBuild/src/opensfm/opensfm/commands/detect_features.py”, line 10, in run_impl
detect_features.run_dataset(dataset)
File “/code/SuperBuild/src/opensfm/opensfm/actions/detect_features.py”, line 25, in run_dataset
parallel_map(detect, arguments, processes, 1)
File “/code/SuperBuild/src/opensfm/opensfm/context.py”, line 66, in parallel_map
res = Parallel(batch_size=batch_size)(delayed(func)(arg) for arg in args)
File “/usr/local/lib/python3.6/dist-packages/joblib/parallel.py”, line 1061, in call
self.retrieve()
File “/usr/local/lib/python3.6/dist-packages/joblib/parallel.py”, line 940, in retrieve
self._output.extend(job.get(timeout=self.timeout))
File “/usr/local/lib/python3.6/dist-packages/joblib/_parallel_backends.py”, line 542, in wrap_future_result
return future.result(timeout=timeout)
File “/usr/lib/python3.6/concurrent/futures/_base.py”, line 425, in result
return self.__get_result()
File “/usr/lib/python3.6/concurrent/futures/_base.py”, line 384, in __get_result
raise self._exception
KeyError: 0
Traceback (most recent call last):
File “/code/run.py”, line 69, in
app.execute()
File “/code/stages/odm_app.py”, line 86, in execute
self.first_stage.run()
File “/code/opendm/types.py”, line 358, in run
self.next_stage.run(outputs)
File “/code/opendm/types.py”, line 358, in run
self.next_stage.run(outputs)
File “/code/opendm/types.py”, line 358, in run
self.next_stage.run(outputs)
File “/code/opendm/types.py”, line 339, in run
self.process(self.args, outputs)
File “/code/stages/run_opensfm.py”, line 30, in process
octx.feature_matching(self.rerun())
File “/code/opendm/osfm.py”, line 273, in feature_matching
self.run(‘detect_features’)
File “/code/opendm/osfm.py”, line 23, in run
(context.opensfm_path, command, self.opensfm_project_path))
File “/code/opendm/system.py”, line 79, in run
raise Exception(“Child returned {}”.format(retcode))
Exception: Child returned 1

PS. Images without mask calculate correctly.

1 Like